MP2008, Final Cut X & Yosemite not working - anyone has a solution?

Discussion in 'Mac Pro' started by Freida, Oct 29, 2014.

  1. Freida macrumors 65816

    Joined:
    Oct 22, 2010
    #1
    Hello guys,

    a friend of mine is having a problem I do not know the answer to.

    He has 2008 Mac Pro and Final Cut X. He updated to Yosemite but because he didn't updated the final cut x before (he is still on 10.0.8) then now he is not able to do it. Is there a workaround? Would finding an installer on internet help, seeing that he purchased it legally and he just needs the update? Or is there a way to get the update file for him? I have final cut x too as I also bought it so can the app store allow me to just download the update and give it to him so he can update manually?

    Here are the errors he gets (Video card too old :( )
     

    Attached Files:

  2. JoSch macrumors regular

    Joined:
    Feb 22, 2013
    #2
    I have the most recent FCPX version running on Yosemite without major problems.
     
  3. Freida thread starter macrumors 65816

    Joined:
    Oct 22, 2010
    #3
    Me too but you have different Mac Pro. Yours has better GPU. He still has 8800GT I think and that is the issue here. Any way to get the updater?
    Or how can I help him wiht my computer. We both purchased it as you can see from the screenshots.
     
  4. JoSch macrumors regular

    Joined:
    Feb 22, 2013
    #4
    Updater for FCPX? FCPX is updated through the Mac App Store.
     
  5. Freida thread starter macrumors 65816

    Joined:
    Oct 22, 2010
    #5
    Yes, I know. But the App store is downloading the file that is then stored locally and used for the update installation. After that the file is deleted. So I'm wondering if there is a way to get it before its deleted :)
     
  6. JoSch macrumors regular

    Joined:
    Feb 22, 2013
    #6
    That's strange. I never had that problem.
    Is enough disk space on the system volume?
    Has your friend deleted the whole FCPX.app (or moved/renamed it) and then installed it?
     
  7. Freida thread starter macrumors 65816

    Joined:
    Oct 22, 2010
    #7
    You never had that problem cause you have newer card. For some reason Apple seemed to stop supporting 8800GT or something :(
    Not sure why
     
  8. Freida thread starter macrumors 65816

    Joined:
    Oct 22, 2010
    #8
    ok, little update. He has ATI 2600XT, sorry.
    I thought he said 8800GT :(
     
  9. JoSch macrumors regular

    Joined:
    Feb 22, 2013
    #9
    I'm confused now. Has he problems with installing or with running FCPX?
    I meant installing. That should work independent of the GPU.
    If running is what you meant, then your friend needs to buy a better card or he has to downgrade to Mavericks. I would go for the better GPU, because FCPX is so much better now.
    And any GPU better than ATI 2600XT will make working with FCPX faster and smoother.
     
  10. Freida thread starter macrumors 65816

    Joined:
    Oct 22, 2010
    #10
    He had FCX running fine on mavericks but didn't update to the latest version of FCX. Then he updated to Yosemite and now he is not able to update FCX. As seen on the images, the app store doesn't allow him to get the update giving him error message that his GPU is too old.
     
  11. Freida thread starter macrumors 65816

    Joined:
    Oct 22, 2010
    #11
    Ok, he found a solution.
    He torrented the installer and now everything works perfectly well. What a hassle though. It shouldn't be this hard especially when you pay such amount of money for it.
    Regardless, I'm happy it worked. He even wrote to AppStore support so maybe they will offer more elegant solution than torrent for next time :)
     

Share This Page